org.apache.mina.http.api

## Class HttpEndOfContent

- java.lang.Object
- - org.apache.mina.http.api.HttpEndOfContent

All Implemented Interfaces:
  HttpPdu

    public class HttpEndOfContent
    extends Object
    implements HttpPdu

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`HttpEndOfContent()`

### Method Summary

Methods
`ByteBuffer` `encode(HttpPduEncodingVisitor visitor)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpEndOfContent

    public HttpEndOfContent()

### Method Detail

#### encode

    public ByteBuffer encode(HttpPduEncodingVisitor visitor)

Specified by:
  `encode` in interface `HttpPdu`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`